CVE-2022-28042

NameCVE-2022-28042
Descriptionstb_image.h v2.27 was discovered to contain an heap-based use-after-free via the function stbi__jpeg_huff_decode.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)
Debian Bugs1014531

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libstb (PTS)buster0.0~git20180212.15.e6afb9c-1vulnerable
bullseye0.0~git20200713.b42009b+ds-1vulnerable
bookworm, sid0.0~git20220908.8b5f1f3+ds-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libstbsource(unstable)(unfixed)1014531

Notes

[bullseye] - libstb <no-dsa> (Minor issue)
[buster] - libstb <no-dsa> (Minor issue)
https://github.com/nothings/stb/issues/1289
https://github.com/nothings/stb/pull/1297

Search for package or bug name: Reporting problems